summaryrefslogtreecommitdiffstats
path: root/tools/functional_tests.sh
diff options
context:
space:
mode:
authorThiago da Silva <thiago@redhat.com>2013-10-24 17:56:20 -0400
committerLuis Pabon <lpabon@redhat.com>2013-10-25 19:34:47 -0700
commit6b8d7c59195327484ac0f14bd1c29e4f75415e3b (patch)
tree9fe9dea1fb865f33ee1e5747c6d9e6e75314b3e4 /tools/functional_tests.sh
parent04e402599b7b01c0a98df4724618555ab53cb775 (diff)
moving functional tests to prepare for auth tests
moved the actual tests to generic folder and created an auth dir that will contain specific tests and configuration files for each authentication service Change-Id: I80debb917a53c3f56629b92cf5e7157da916d223 Signed-off-by: Thiago da Silva <thiago@redhat.com> Reviewed-on: http://review.gluster.org/6140 Reviewed-by: Luis Pabon <lpabon@redhat.com> Tested-by: Luis Pabon <lpabon@redhat.com>
Diffstat (limited to 'tools/functional_tests.sh')
-rwxr-xr-xtools/functional_tests.sh12
1 files changed, 9 insertions, 3 deletions
diff --git a/tools/functional_tests.sh b/tools/functional_tests.sh
index 421188b..68b524f 100755
--- a/tools/functional_tests.sh
+++ b/tools/functional_tests.sh
@@ -64,7 +64,7 @@ export SWIFT_TEST_CONFIG_FILE=/etc/swift/test.conf
# Install the configuration files
sudo mkdir /etc/swift > /dev/null 2>&1
-sudo cp -r test/functional/conf/* /etc/swift || fail "Unable to copy configuration files to /etc/swift"
+sudo cp -r test/functional_auth/tempauth/conf/* /etc/swift || fail "Unable to copy configuration files to /etc/swift"
sudo_env gluster-swift-gen-builders test test2 || fail "Unable to create ring files"
# Start the services
@@ -74,10 +74,16 @@ sudo_env swift-init main start || fail "Unable to start swift"
mkdir functional_tests > /dev/null 2>&1
nosetests -v --exe \
--with-xunit \
- --xunit-file functional_tests/gluster-swift-functional-TC-report.xml test/functional || fail "Functional tests failed"
+ --xunit-file functional_tests/gluster-swift-generic-functional-TC-report.xml \
+ --with-html-output \
+ --html-out-file functional_tests/gluster-swift-generic-functional-result.html \
+ test/functional || fail "Functional tests failed"
nosetests -v --exe \
--with-xunit \
- --xunit-file functional_tests/gluster-swift-functionalnosetests-TC-report.xml test/functionalnosetests || fail "Functional-nose tests failed"
+ --xunit-file functional_tests/gluster-swift-functionalnosetests-TC-report.xml \
+ --with-html-output \
+ --html-out-file functional_tests/gluster-swift-functionalnosetests-result.html \
+ test/functionalnosetests || fail "Functional-nose tests failed"
cleanup
exit 0